# Generated by Django 4.2.19 on 2025-07-03 01:57

from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ("locations", "0007_alter_geolocation_run_time_seconds"),
        ("boardgames", "0007_alter_boardgame_run_time_seconds"),
    ]

    operations = [
        migrations.CreateModel(
            name="BoardGameDesigner",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    django_extensions.db.fields.CreationDateTimeField(
                        auto_now_add=True, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    django_extensions.db.fields.ModificationDateTimeField(
                        auto_now=True, verbose_name="modified"
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                (
                    "uuid",
                    models.UUIDField(
                        blank=True,
                        default=uuid.uuid4,
                        editable=False,
                        null=True,
                    ),
                ),
                ("bgg_id", models.IntegerField(blank=True, null=True)),
                ("bio", models.TextField(blank=True, null=True)),
            ],
            options={
                "get_latest_by": "modified",
                "abstract": False,
            },
        ),
        migrations.RenameField(
            model_name="boardgamepublisher",
            old_name="igdb_id",
            new_name="bgg_id",
        ),
        migrations.AddField(
            model_name="boardgame",
            name="bgstats_id",
            field=models.UUIDField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="boardgame",
            name="cooperative",
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name="boardgame",
            name="expansion_for_boardgame",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="boardgames.boardgame",
            ),
        ),
        migrations.AddField(
            model_name="boardgame",
            name="highest_wins",
            field=models.BooleanField(default=True),
        ),
        migrations.AddField(
            model_name="boardgame",
            name="max_play_time",
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="boardgame",
            name="min_play_time",
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="boardgame",
            name="no_points",
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name="boardgame",
            name="uses_teams",
            field=models.BooleanField(default=False),
        ),
        migrations.CreateModel(
            name="BoardGameLocation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    django_extensions.db.fields.CreationDateTimeField(
                        auto_now_add=True, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    django_extensions.db.fields.ModificationDateTimeField(
                        auto_now=True, verbose_name="modified"
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                (
                    "uuid",
                    models.UUIDField(
                        blank=True,
                        default=uuid.uuid4,
                        editable=False,
                        null=True,
                    ),
                ),
                ("bgstats_id", models.IntegerField(blank=True, null=True)),
                ("description", models.TextField(blank=True, null=True)),
                (
                    "geo_location",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="locations.geolocation",
                    ),
                ),
            ],
            options={
                "get_latest_by": "modified",
                "abstract": False,
            },
        ),
        migrations.AddField(
            model_name="boardgame",
            name="designers",
            field=models.ManyToManyField(
                related_name="board_games", to="boardgames.boardgamedesigner"
            ),
        ),
    ]
